Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.core.spi.factory
Class InjectableProviderFactory

    java.lang.Object
      com.sun.jersey.core.spi.factory.InjectableProviderFactory

All Implemented Interfaces:
  InjectableProviderContext

    public class InjectableProviderFactory

extends java.lang.Object
implements InjectableProviderContext

A factory for managing `InjectableProvider` instances.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`InjectableProviderFactory()`

Method Summary
`void` | `add(InjectableProvider ip)`
`void` | `configure(ProviderServices providerServices)`
`
`<A extends java.lang.annotation.Annotation,C> Injectable`
` | `getInjectable(java.lang.Class<? extends java.lang.annotation.Annotation> ac, ComponentContext ic, A a, C c, ComponentScope s)` Get an injectable.
`
`<A extends java.lang.annotation.Annotation,C> Injectable`
` | `getInjectable(java.lang.Class<? extends java.lang.annotation.Annotation> ac, ComponentContext ic, A a, C c, java.util.List<ComponentScope> ls)` Get an injectable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InjectableProviderFactory

    public InjectableProviderFactory()

Method Detail

### add

    public final void add(InjectableProvider ip)

### configure

    public final void configure(ProviderServices providerServices)

### getInjectable

    public final <A extends java.lang.annotation.Annotation,C> Injectable getInjectable(java.lang.Class<? extends java.lang.annotation.Annotation> ac,
                                                                                        ComponentContext ic,
                                                                                        A a,
                                                                                        C c,
                                                                                        ComponentScope s)

  Description copied from interface: `InjectableProviderContext`
  Get an injectable.

  Specified by:
    `getInjectable` in interface `InjectableProviderContext`
  Type Parameters:
    `A` - the type of the annotation.
    `C` - the the context type. Types of the `Type` and `Parameter` are the only types that are supported.
  Parameters:
    `ac` - the annotation class.
    `ic` - the injectable context.
    `a` - the annotation instance.
    `c` - the context type.
    `s` - the scope.
  Returns:
    the injectable, otherwise null if an injectable could not be found.

### getInjectable

    public final <A extends java.lang.annotation.Annotation,C> Injectable getInjectable(java.lang.Class<? extends java.lang.annotation.Annotation> ac,
                                                                                        ComponentContext ic,
                                                                                        A a,
                                                                                        C c,
                                                                                        java.util.List<ComponentScope> ls)

  Description copied from interface: `InjectableProviderContext`
  Get an injectable.

  Specified by:
    `getInjectable` in interface `InjectableProviderContext`
  Type Parameters:
    `A` - the type of the annotation.
    `C` - the the context type. Types of the `Type` and `Parameter` are the only types that are supported.
  Parameters:
    `ac` - the annotation class.
    `ic` - the injectable context.
    `a` - the annotation instance.
    `c` - the context type.
    `ls` - the list of scope, ordered by preference.
  Returns:
    the injectable, otherwise null if an injectable could not be found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.